<?php
require dirname(__FILE__).'/../../inc/prepend.php';
$auth->check(1);
?>

<!-- 
CLICKIMAGE
Plugins pour dotclear 1.2.3
Il permet d'insérer facilement des images "cliquable" (une miniature qui quand on clique dessus ouvre l'image taille d'origine (Si la taille de l'image d'origine et plus petite que la miniature, aucune reduction n'est effectué et l'image est simplement insérer)
Les images peuvent soit provenir
- Du disque dur : les images sont alors envoyer dans "dossier_de_votre_choix/id-user/date"
- D'un autre site : les image sont copier dans le meme dossier afin de ne pas "voler" la bande passante de l'autre site

Auteur :  jonas.fourquier(at)gmail.com
Site web: http://jopc.free.fr Catégorie : Image cliquable (php dotclear)
Version : voir desc.xml
Licence : GNU GPL (http://www.gnu.org/copyleft/gpl.html)
Installation : voir le fichier index.php
-->


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
  <title>Envoyer une image</title>
  <meta name="GENERATOR" content="Quanta Plus">
  <meta name="AUTHOR" content="Jonas Fourquier">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <style type="text/css">
	@import "style.css";
  </style>
</head>

<body>

<?php
//Variable "dossier dynamique"
$auteur = $_SESSION['sess_user_id'];
$date_jour = date("Y-m-d");
$date_mois = date("Y-m");
$date_annee = date("Y");

require ("config.php");

$extensions_ok = array_merge($typejpg,$typegif,$typepng);

require ("fonctions.php");

//Si l'image provient du web
if ($HTTP_POST_VARS['bt_img_web'])
{
	dossier();
	copier($HTTP_POST_VARS['img_web']);
	retour();
	
}
//Si l'image provient du disque dur
else if ($HTTP_POST_VARS['bt_img_hdd'])
{
	dossier();
	envoi('img_hdd');
	retour();
}
// Sinon page d'acceuil
else
{
	?>
	<form name="boite" method="POST" action="clickimage.php?format=<?php echo $_GET['format']?>" enctype="multipart/form-data" ACCEPT="image/png, image/gif, image/jpg">
	<!-- Limiter la taille des fichiers -->
	<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $taille_max?>" />
	
	<fieldset><legend>Image sur le disque dur</legend>
		<p><label for="img_hdd"></label><input type="file" name="img_hdd" ACCEPT="image/png, image/gif, image/jpg" />
		<input type="submit" name="bt_img_hdd" value="Envoyer" class="env"></p>
	</fieldset>
	<p></p>
	<fieldset><legend>Image sur le net</legend>
		<p><INPUT type="text" name="img_web" value="Collez ici le lien vers l'image" onfocus="this.value=''" size="33">
		<input type="submit" name="bt_img_web" value="Envoyer" class="env"></p>
	</fieldset>
	<script type="text/javascript" src="../../js/tools.js"></script>
	<p></p>
	<?php
	if ($_GET['format'] == "html")
	{
		?>
		<fieldset><legend>Format d'insertion</legend>
			<p><select name="format">
				<option value="html_justif">Texte justifier à l'image</option>
				<option value="html_caract">Image comme caractère</option>
			</select></p>
		</fieldset>
		<?php
	}
	?>
	</form>
	<?php
}
?>

</body>